Package org.eclipse.m2m.atl.emftvm

## Interface LocalVariable

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `NamedElement`, `org.eclipse.emf.common.notify.Notifier`, `TypedElement`

All Known Implementing Classes:
  `LocalVariableImpl`

    public interface LocalVariable
    extends TypedElement

A representation of the model object 'Local Variable'.

See Also:
  `EmftvmPackage.getLocalVariable()`

### Method Summary

All Methods Instance Methods Abstract Methods
`Instruction` `getEndInstruction()` Returns the value of the 'End Instruction' reference.
`int` `getEndInstructionIndex()` Returns the value of the 'End Instruction Index' attribute.
`CodeBlock` `getOwningBlock()` Returns the value of the 'Owning Block' container reference.
`int` `getSlot()` Returns the value of the 'Slot' attribute.
`Instruction` `getStartInstruction()` Returns the value of the 'Start Instruction' reference.
`int` `getStartInstructionIndex()` Returns the value of the 'Start Instruction Index' attribute.
`void` `setEndInstruction​(Instruction value)` Sets the value of the '`End Instruction`' reference.
`void` `setEndInstructionIndex​(int value)` Sets the value of the '`End Instruction Index`' attribute.
`void` `setOwningBlock​(CodeBlock value)` Sets the value of the '`Owning Block`' container reference.
`void` `setSlot​(int value)` Sets the value of the '`Slot`' attribute.
`void` `setStartInstruction​(Instruction value)` Sets the value of the '`Start Instruction`' reference.
`void` `setStartInstructionIndex​(int value)` Sets the value of the '`Start Instruction Index`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.TypedElement

`getEType, getType, getTypeModel, setEType, setType, setTypeModel`

### Method Detail

#### getSlot

    int getSlot()

Returns the value of the 'Slot' attribute. The default value is `"-1"`.

Automatically assigns a free slot for local variables without a slot. Verifies that previous overlapping local variables have a unique slot. Attempts to reuse free slots.

Returns:
  the value of the 'Slot' attribute.
See Also:
  `setSlot(int)`, `EmftvmPackage.getLocalVariable_Slot()`

#### setSlot

    void setSlot​(int value)

Sets the value of the '`Slot`' attribute.

Parameters:
  `value` - the new value of the 'Slot' attribute.
See Also:
  `getSlot()`

#### getStartInstruction

    Instruction getStartInstruction()

Returns the value of the 'Start Instruction' reference.

If the meaning of the 'Start Instruction' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Start Instruction' reference.
See Also:
  `setStartInstruction(Instruction)`, `EmftvmPackage.getLocalVariable_StartInstruction()`

#### setStartInstruction

    void setStartInstruction​(Instruction value)

Sets the value of the '`Start Instruction`' reference.

Parameters:
  `value` - the new value of the 'Start Instruction' reference.
See Also:
  `getStartInstruction()`

#### getEndInstruction

    Instruction getEndInstruction()

Returns the value of the 'End Instruction' reference.

If the meaning of the 'End Instruction' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'End Instruction' reference.
See Also:
  `setEndInstruction(Instruction)`, `EmftvmPackage.getLocalVariable_EndInstruction()`

#### setEndInstruction

    void setEndInstruction​(Instruction value)

Sets the value of the '`End Instruction`' reference.

Parameters:
  `value` - the new value of the 'End Instruction' reference.
See Also:
  `getEndInstruction()`

#### getStartInstructionIndex

    int getStartInstructionIndex()

Returns the value of the 'Start Instruction Index' attribute. The default value is `"-1"`.

Returns:
  the value of the 'Start Instruction Index' attribute.
See Also:
  `setStartInstructionIndex(int)`, `EmftvmPackage.getLocalVariable_StartInstructionIndex()`

#### setStartInstructionIndex

    void setStartInstructionIndex​(int value)

Sets the value of the '`Start Instruction Index`' attribute.

Parameters:
  `value` - the new value of the 'Start Instruction Index' attribute.
See Also:
  `getStartInstructionIndex()`

#### getEndInstructionIndex

    int getEndInstructionIndex()

Returns the value of the 'End Instruction Index' attribute. The default value is `"-1"`.

Returns:
  the value of the 'End Instruction Index' attribute.
See Also:
  `setEndInstructionIndex(int)`, `EmftvmPackage.getLocalVariable_EndInstructionIndex()`

#### setEndInstructionIndex

    void setEndInstructionIndex​(int value)

Sets the value of the '`End Instruction Index`' attribute.

Parameters:
  `value` - the new value of the 'End Instruction Index' attribute.
See Also:
  `getEndInstructionIndex()`

#### getOwningBlock

    CodeBlock getOwningBlock()

Returns the value of the 'Owning Block' container reference. It is bidirectional and its opposite is '`Local Variables`'.

If the meaning of the 'Owning Block' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Owning Block' container reference.
See Also:
  `setOwningBlock(CodeBlock)`, `EmftvmPackage.getLocalVariable_OwningBlock()`, `CodeBlock.getLocalVariables()`

#### setOwningBlock

    void setOwningBlock​(CodeBlock value)

Sets the value of the '`Owning Block`' container reference.

Parameters:
  `value` - the new value of the 'Owning Block' container reference.
See Also:
  `getOwningBlock()`